rpmfileutil.h File Reference
File and Path Manipulation API. | RPM IO API.

File and path manipulation helper functions. More...

`#include <rpm/rpmutil.h>`
`#include <rpm/rpmio.h>`
`#include <rpm/rpmpgp.h>`
`#include <rpm/argv.h>`
Include dependency graph for rpmfileutil.h:

Go to the source code of this file.

## Typedefs

typedef enum rpmCompressedMagic_e | rpmCompressedMagic

## Enumerations

enum | rpmCompressedMagic_e { COMPRESSED_NOT = 0, COMPRESSED_OTHER = 1, COMPRESSED_BZIP2 = 2, COMPRESSED_ZIP = 3, COMPRESSED_LZMA = 4, COMPRESSED_XZ = 5, COMPRESSED_LZIP = 6, COMPRESSED_LRZIP = 7, COMPRESSED_7ZIP = 8 }

## Functions

int | rpmDoDigest (int algo, const char *fn, int asAscii, unsigned char *digest, rpm_loff_t *fsizep)
| Calculate a file digest and size. More...
FD_t | rpmMkTemp (char *templ)
| Thin wrapper for mkstemp(3). More...
FD_t | rpmMkTempFile (const char *prefix, char **fn)
| Return file handle for a temporaray file. More...
int | rpmioMkpath (const char *path, mode_t mode, uid_t uid, gid_t gid)
| Insure that directories in path exist, creating as needed. More...
int | rpmMkdirs (const char *root, const char *pathstr)
| Create several directories (including parents if needed) in one go. More...
char * | rpmCleanPath (char *path)
| Canonicalize file path. More...
char * | rpmGenPath (const char *urlroot, const char *urlmdir, const char *urlfile)
| Merge 3 args into path, any or all of which may be a url. More...
char * | rpmGetPath (const char *path,...) RPM_GNUC_NULL_TERMINATED
| Return (malloc'ed) expanded, canonicalized, file path. More...
int | rpmIsGlob (const char *pattern, int quote)
| Check whether pattern contains any glob metacharacters. More...
int | rpmGlob (const char *patterns, int *argcPtr, ARGV_t *argvPtr)
| Return URL path(s) from a (URL prefixed) pattern glob. More...
char * | rpmEscapeSpaces (const char *s)
| Escape isspace(3) characters in string. More...
int | rpmFileIsCompressed (const char *file, rpmCompressedMagic *compressed)
| Return type of compression used in file. More...
int | rpmFileHasSuffix (const char *path, const char *suffix)
| Check if path (string) ends with given suffix. More...
char * | rpmGetCwd (void)
| Like getcwd() but the result is malloced. More...

## Detailed Description

File and path manipulation helper functions.

Definition in file rpmfileutil.h.